Vulnerability Search API

API Structure

The Vulnerability Search API allows you to discover Common Vulnerabilities and Exposures (CVEs) and categorize them using dozens of filters. With this API, you can rapidly discover vulnerabilities in vendors or products and filter them by using various vulnerability details such as CVSS score, severity, exploit status, Common Weakness Enumeration (CWE) name, Common Attack Pattern Enumeration Classification (CAPEC) ID, and much more. The API identifies vulnerabilities, weaknesses, attack patterns, affected product versions, etc. It is unique in cyber threat research as it connects them together and makes them easy to investigate.

Let's start by creating a two-week free account from Deepinfo Platform, get your API key and you are ready. Next, you can test using the following cURL command.

Sample with the curl command:

curl --request GET \
  --url https://api.deepinfo.com/v1/discovery/vulnerability-search \
  --header 'Accept: application/json' \
  --header 'apikey: [YOUR_API_KEY]'

If you wish to call Vulnerability Search API with basic vulnerability details and run code, just click here.

You can always contact us for support and ask for more assistance. We'll be glad to assist you with building your product.


Did this page help you?